Last Comment Bug 765992 - MOZ_ASSERT failure in /caps/src/nsScriptSecurityManager.cpp:170
: MOZ_ASSERT failure in /caps/src/nsScriptSecurityManager.cpp:170
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: CAPS (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Bobby Holley (busy)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 18:01 PDT by Thaddee Tyl [:espadrine]
Modified: 2012-07-18 17:38 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments

Description Thaddee Tyl [:espadrine] 2012-06-18 18:01:45 PDT
Stack trace available at http://pastebin.mozilla.org/1667278.

I have a core dump.
Comment 1 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-06-18 21:31:01 PDT
Looks likely to be fallout from Bobby's recent patches...
Comment 2 Thaddee Tyl [:espadrine] 2012-06-19 20:50:00 PDT
Bobby, if you need an example page that breaks, see <http://orionhub.org/edit/edit.html#/file/2K/bar.js>.

If you need a core dump, I still have one, too.
Comment 3 Bobby Holley (busy) 2012-06-20 01:15:14 PDT
(In reply to Thaddee Tyl [:espadrine] from comment #2)
> Bobby, if you need an example page that breaks, see
> <http://orionhub.org/edit/edit.html#/file/2K/bar.js>.

Seems to require login, and it won't let me create an account.

Can you still reproduce on today's nightly? I would think that bug 764389 would fix this.
Comment 4 Thaddee Tyl [:espadrine] 2012-06-20 14:36:00 PDT
Bobby: it no longer crashes. Thanks!
Comment 5 Blake Kaplan (:mrbkap) (please use needinfo!) 2012-06-20 14:39:28 PDT
Marking fixed, then. Thanks!

Note You need to log in before you can comment on or make changes to this bug.